#3204 reopened defect

Exception in rtems-test

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: tool Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Chris Johns)

Note: No category for rtems-tools.

My first attempt to send run logs didn't go so well. This was a weird failure mode. It didn't exit but had to be killed by hand. I dropped off the options related to mailing the log and it still failed. This is on an up to date CentOS 7 (rtbf64c 7.4) as well as my 7.3 VM.

+ /home/joel/rtems-work/rtems-tools//tester/rtems-test --rtems-tools=/home/joel/rtems-work/tools/4.12 --rtems-bsp=erc32 --log=run.log --mail --mail-from=joel@rtems.org --mail-to=build@lists.rtems.org ./sparc-rtems4.12/c/erc32/testsuites/samples/ticker/ticker.exe ./sparc-rtems4.12/c/erc32/testsuites/samples/minimum/minimum.exe ./sparc-rtems4.12/c/erc32/testsuites/samples/iostream/cxx_iostream.exe ./sparc-rtems4.12/c/erc32/testsuites/samples/fileio/fileio.exe ./sparc-rtems4.12/c/erc32/testsuites/samples/capture/capture.exe ./sparc-rtems4.12/c/erc32/testsuites/samples/nsecs/nsecs.exe ./sparc-rtems4.12/c/erc32/testsuites/samples/paranoia/paranoia.exe ./sparc-rtems4.12/c/erc32/testsuites/samples/cdtest/cdtest.exe ./sparc-rtems4.12/c/erc32/testsuites/samples/base_sp/base_sp.exe ./sparc-rtems4.12/c/erc32/testsuites/samples/unlimited/unlimited.exe ./sparc-rtems4.12/c/erc32/testsuites/samples/hello/hello.exe
RTEMS Testing - Tester, 4.12 (52513610668b)
[ 5/11] p:0  f:0  u:0  e:0  I:0  B:0  t:0  i:0  | sparc/erc32: hello.exe
[ 6/11] p:0  f:0  u:0  e:0  I:0  B:0  t:0  i:0  | sparc/erc32: cxx_iostream.exe
[ 3/11] p:0  f:0  u:0  e:0  I:0  B:0  t:0  i:0  | sparc/erc32: cdtest.exe
[ 9/11] p:0  f:0  u:0  e:0  I:0  B:0  t:0  i:0  | sparc/erc32: paranoia.exe
[ 7/11] p:0  f:0  u:0  e:0  I:0  B:0  t:0  i:0  | sparc/erc32: minimum.exe
[ 1/11] p:0  f:0  u:0  e:0  I:0  B:0  t:0  i:0  | sparc/erc32: base_sp.exe
[11/11] p:0  f:0  u:0  e:0  I:0  B:0  t:0  i:0  | sparc/erc32: unlimited.exe
[ 4/11] p:0  f:0  u:0  e:0  I:0  B:0  t:0  i:0  | sparc/erc32: fileio.exe
[10/11] p:0  f:0  u:0  e:0  I:0  B:0  t:0  i:0  | sparc/erc32: ticker.exe
[ 2/11] p:0  f:0  u:0  e:0  I:0  B:0  t:0  i:0  | sparc/erc32: capture.exe
[ 8/11] p:0  f:0  u:0  e:0  I:0  B:0  t:0  i:0  | sparc/erc32: nsecs.exe
Traceback (most recent call last):
  File "/home/joel/rtems-work/rtems-tools//tester/rtems-test", line 40, in <module>
    rt.test.run()
  File "/data/home/joel/rtems-work/rtems-tools/tester/rt/test.py", line 336, in run
    job_trace)
  File "/data/home/joel/rtems-work/rtems-tools/tester/rt/test.py", line 189, in report_finished
    reports.log(tst.executable, report_mode)
  File "/data/home/joel/rtems-work/rtems-tools/tester/rt/report.py", line 193, in log
    exe = path.basename(self.results[name]['exe'])
  File "/home/joel/rtems-work/rtems-tools/rtemstoolkit/path.py", line 77, in basename
    return shell(os.path.basename(path))
  File "/usr/lib64/python2.7/posixpath.py", line 121, in basename
    i = p.rfind('/') + 1
AttributeError: 'NoneType' object has no attribute 'rfind'

Change History (10)

comment:1 Changed on Oct 23, 2017 at 8:34:13 PM by Joel Sherrill

Owner: set to Chris Johns
Status: newassigned

comment:2 Changed on Oct 24, 2017 at 11:23:33 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: assignedclosed

In bf58911/rtems-tools:

tester: Refactor to use INI format files for BSP configurations.

  • Add support for user condfigurations files with the --user-config.
  • Add support for a $HOME/.rtemstesterrc for a user configuration.

Closes #3204.

comment:3 Changed on Oct 24, 2017 at 2:13:19 PM by Joel Sherrill

Resolution: fixed
Status: closedreopened

Seems to be worse now but at least the output isn't an exception trace. Updated, cleaned, and reinstalled. Both installed and from the source tree fail with this:

[joel@rtbf64c b-erc32]$ /home/joel/rtems-work/tools/4.12/bin/rtems-test
Incorrect RTEMS Tools installation
[joel@rtbf64c b-erc32]$ ../rtems-tools/tester/rtems-test
Incorrect RTEMS Tools installation

Looking at the code, this is just a generic exception handler message.

comment:4 in reply to:  3 Changed on Oct 24, 2017 at 9:03:20 PM by Chris Johns

Replying to Joel Sherrill:

Seems to be worse now but at least the output isn't an exception trace. Updated, cleaned, and reinstalled.

Thank you for the report. I am wondering is something is happening with the installed version I have broken. It looks like there is also some issues with the naming of the INI files and the BSP name I need to resolve.

Both installed and from the source tree fail with this:

[joel@rtbf64c b-erc32]$ /home/joel/rtems-work/tools/4.12/bin/rtems-test
Incorrect RTEMS Tools installation
[joel@rtbf64c b-erc32]$ ../rtems-tools/tester/rtems-test
Incorrect RTEMS Tools installation

Looking at the code, this is just a generic exception handler message.

Yes, an import is broken. I need to do an install and test. I did not do this.

Chris

comment:5 in reply to:  3 Changed on Oct 24, 2017 at 9:48:01 PM by Chris Johns

Replying to Joel Sherrill:

[joel@rtbf64c b-erc32]$ /home/joel/rtems-work/tools/4.12/bin/rtems-test
Incorrect RTEMS Tools installation
[joel@rtbf64c b-erc32]$ ../rtems-tools/tester/rtems-test
Incorrect RTEMS Tools installation

Sorry my mistake and a silly one. I was playing about seeing it YAML was installed and was checking a number of hosts and all my hosts seem to have support for Python while the 2.7 docs for Python have no such module. I left the line in by mistake. Your error supports the reason I have not added YAML support, we would need a module in our code.

comment:6 Changed on Oct 24, 2017 at 10:06:08 PM by Chris Johns <chrisj@…>

In 41d0c34/rtems-tools:

tester: Add a BSP field to each BSP INI configuration section.

The INI section in a BSP configuration is the name of the INI file so
each BSP configuration section needs a BSP.

Updates #3204.

comment:7 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:8 Changed on Oct 19, 2018 at 12:32:43 AM by Chris Johns

Joel, is this ticket valid? Please close if fixed.

comment:9 Changed on Nov 23, 2018 at 3:54:05 AM by Chris Johns

Description: modified (diff)
Summary: Exception in rtems-testerException in rtems-test

comment:10 Changed on Nov 23, 2018 at 3:54:55 AM by Chris Johns

Ping.

Note: See TracTickets for help on using tickets.